petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSynchronizedFGets

Several processors all get the same line from a file.

### Synopsis

    PetscErrorCode PetscSynchronizedFGets(MPI_Comm comm,FILE *fp,size_t len,char string[])

Collective on MPI_Comm

### Input Parameters

| comm | - the communicator
| fd | - the file pointer
| len | - the length of the output buffer

### Output Parameter

string -the line read from the file, at end of file string[0] == 0

### See Also

PetscSynchronizedPrintf(), PetscSynchronizedFlush(),
PetscFOpen(), PetscViewerASCIISynchronizedPrintf(), PetscViewerASCIIPrintf()

### Level

intermediate

### Location

src/sys/fileio/mprint.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages